Bug 30438 - Add select all/clear buttons to invoices.tt open and closed tables
Summary: Add select all/clear buttons to invoices.tt open and closed tables
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Lucas Gass
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-04-01 20:03 UTC by Lucas Gass
Modified: 2022-07-01 16:06 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
22.05.00


Attachments
Bug 30438: Add select all/clear all buttons to invoices.tt (2.56 KB, patch)
2022-04-01 20:11 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 30438: Add select all/clear all buttons to invoices.tt (2.70 KB, patch)
2022-04-04 10:10 UTC, Séverine Queune
Details | Diff | Splinter Review
Bug 30438: Add select all/clear all buttons to invoices.tt (2.66 KB, patch)
2022-04-15 14:01 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 30438: Add select all/clear all buttons to invoices.tt (2.72 KB, patch)
2022-04-22 12:40 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 30438: Add select all/clear all buttons to invoices.tt (2.77 KB, patch)
2022-04-25 11:11 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Lucas Gass 2022-04-01 20:03:40 UTC
Some librarians would find it handy to have "Select all" and "Clear all" buttons on the on invoices.tt which selected, or cleared, each of the checkboxes for open or closed invoices.

This would include sepearate select all/clear all buttons for the open and closed invoice tables
Comment 1 Lucas Gass 2022-04-01 20:11:11 UTC Comment hidden (obsolete)
Comment 2 Séverine Queune 2022-04-04 10:10:39 UTC Comment hidden (obsolete)
Comment 3 Séverine Queune 2022-04-04 10:11:32 UTC
Nice useful one, thank you Lucas !
Comment 4 Lucas Gass 2022-04-15 14:01:32 UTC
Created attachment 133358 [details] [review]
Bug 30438: Add select all/clear all buttons to invoices.tt

To test:
1. Apply patch
2. Have a bunch of invoices, some open and some closed.
3. Go to Home > Acquisitions > Invoices and do a search that will return you many of those invoices, some open and some closed.
4. Notice the 'Select all' and 'Clear all' buttons.
5. Try clicking 'Select all' on the Open invoices tab. All Open invoices should become checked.
6. Try clicking 'Clear all' on the Open invoices tab. All open invoices should become unchecked.
7. Try 5 - 6 again but on the Closed invoices tab.
Comment 5 Lucas Gass 2022-04-15 14:01:59 UTC
rebased for current master, setting back to NSO
Comment 6 Owen Leonard 2022-04-22 12:40:40 UTC
Created attachment 133676 [details] [review]
Bug 30438: Add select all/clear all buttons to invoices.tt

To test:
1. Apply patch
2. Have a bunch of invoices, some open and some closed.
3. Go to Home > Acquisitions > Invoices and do a search that will
   return you many of those invoices, some open and some closed.
4. Notice the 'Select all' and 'Clear all' buttons.
5. Try clicking 'Select all' on the Open invoices tab. All Open invoices
   should become checked.
6. Try clicking 'Clear all' on the Open invoices tab. All open invoices
   should become unchecked.
7. Try 5 - 6 again but on the Closed invoices tab.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 7 Katrin Fischer 2022-04-25 11:11:12 UTC
Created attachment 133738 [details] [review]
Bug 30438: Add select all/clear all buttons to invoices.tt

To test:
1. Apply patch
2. Have a bunch of invoices, some open and some closed.
3. Go to Home > Acquisitions > Invoices and do a search that will
   return you many of those invoices, some open and some closed.
4. Notice the 'Select all' and 'Clear all' buttons.
5. Try clicking 'Select all' on the Open invoices tab. All Open invoices
   should become checked.
6. Try clicking 'Clear all' on the Open invoices tab. All open invoices
   should become unchecked.
7. Try 5 - 6 again but on the Closed invoices tab.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 8 Fridolin Somers 2022-05-11 01:18:53 UTC
Pushed to master for 22.05, thanks to everybody involved 🦄
Comment 9 Lucas Gass 2022-07-01 16:06:52 UTC
Arthur,

I know this is an enhancement but it is a small one. Any chance to backport to 21.11?


Lucas